# Return email account's autoresponder information

This function retrieves autoresponder information.

Important:

When you disable the Receive Mail role, the system disables this function.

Endpoint: GET /Email/get_auto_responder
Version: 11.136.0.13
Security: BasicAuth

## Query parameters:

  - `email` (string, required)
    The email account name.
    Example: "user"

  - `temp_charset` (string)
    The autoresponder's character set.
    Example: "utf-8"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "get_auto_responder"

  - `module` (string)
    The name of the module called.
    Example: "Email"

  - `result` (object)

  - `result.data` (object)

  - `result.data.body` (string)
    The contents of the autoresponder message's Body section.
    Example: "This is an autoresponder message."

  - `result.data.charset` (string)
    The autoresponder's [character set](https://en.wikipedia.org/wiki/Character_encoding).
    Example: "UTF-8"

  - `result.data.from` (string)
    The contents of the autoresponder message's From field.
    Example: "User Name"

  - `result.data.interval` (integer)
    The amount of time, in hours, that the server waits between autoresponder messages to the same address.

Note:

A value of 0 indicates that the system sends a message for each email received.
    Example: 24

  - `result.data.is_html` (integer)
    Whether the body of the autoresponder message begins with an [HTML content type declaration](https://en.wikipedia.org/wiki/Character_encodings_in_HTML#Specifying_the_document.27s_character_encoding).
- 1 - Includes an HTML content type declaration.
- 0 - Does not include an HTML content type declaration.
    Enum: 0, 1

  - `result.data.start` (integer)
    When the autoresponder becomes enabled in Unix time.
    Example: 1410277881

  - `result.data.stop` (integer)
    When the autoresponder becomes disabled in Unix time.
    Example: 1410300000

  - `result.data.subject` (string)
    The contents of the autoresponder message's Subject field.
    Example: "Autoresponder Subject"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 - Success.
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


